@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap");
/* ================================================== */
/* FLEX */
.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* ================================================== */
/* WIDTH */
.w-full {
  width: 100%;
}

/* ================================================== */
/* FONT */
.font-mono {
  font-family: "Roboto Mono", monospace;
}

/* ================================================== */
/* TEXT */
.text-right {
  text-align: right;
}

.text-center {
  text-align: center;
}

/* ================================================== */
/* COLOR */
.text-danger {
  color: var(--red-500);
}

.text-secondary {
  color: var(--gray-500);
}

/* ================================================== */
/* OVERFLOW */
.overflow-x-auto {
  overflow-x: auto;
}

/* ================================================== */
/* ANIMACOES E EFEITOS */
.transition-colors {
  transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

svg.animate-spin {
  animation: spinner 1s linear infinite;
}

.animate-pulse {
  animation: 2s cubic-bezier(0.4, 0, 0.6, 1) 0s infinite normal none running pulse;
}

@keyframes spinner {
  from {
    transform: rotate(-360deg);
  }
  to {
    transform: rotate(0deg);
  }
}
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(6px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes pulse {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
:root {
  --gray-25: #fdfdfd;
  --gray-700: #414651;
  --gray-800: #252b37;
  --gray-hover: rgba(0, 0, 0, 0.05);
  --brand-500: #00986d;
  --brand-600: #008b61;
  --brand-700: #007b53;
  --brand-900: #004f2b;
  --error-50: #fef3f2;
  --error-100: #fee4e2;
  --error-200: #fecdca;
  --error-300: #fda29b;
  --error-400: #f97066;
  --error-500: #f04438;
  --error-600: #d92d20;
  --error-700: #b42318;
  --error-800: #912018;
  --error-900: #7a271a;
  --error-950: #55160c;
  --success-600: #079455;
  --success-700: #067647;
  --success-800: #085d3a;
  --success-900: #074d31;
  --success-950: #053321;
  /* ================================================== */
  /* COLORS - PALETTE */
  /* Neutros */
  --white: #FFFFFF;
  --gray-50: #FAFAFA;
  --gray-100: #F4F5F6;
  --gray-200: #EEF0F1;
  --gray-200-rgb: 238, 240, 241;
  --gray-250: #EBEDEF;
  --gray-300: #E3E6E8;
  --gray-400: #DDE0E3;
  --gray-400-rgb: 221, 224, 227;
  --gray-450: #B0B8BF;
  --gray-500: #5C6670;
  --gray-900: #1F262D;
  /* Coloridos */
  --green-50: #E0F5F0;
  --green-300: #47C2A9;
  --green-400: #2EB897;
  --green-500: #00A881;
  --green-500-rgb: 0, 168, 129;
  --green-600: #1E6758;
  --green-700: #14715B;
  --orange-25: #FFFBEB;
  --orange-25-rgb: 255, 251, 235;
  --orange-50: #FBEFDA;
  --orange-300: #E2A336;
  --orange-400: #F99E1F;
  --orange-500: #F59F0A;
  --orange-600: #F56B3D;
  --orange-700: #B45309;
  --orange-800: #794415;
  --red-50: #F9E7E7;
  --red-500: #EF4343;
  --red-600: #CB4D4D;
  --red-700: #9E2E2E;
  --blue-500: #0DA6F2;
  --purple-500: #B152E0;
  /* COLORS - SEMANTIC */
  --color-brand: var(--green-500);
  /* Backgrounds */
  --bg-brand-trans: rgba(var(--green-500-rgb), 0.1);
  --bg-brand-trans_hover: rgba(var(--green-500-rgb), 0.2);
  --bg-card: var(--white);
  --bg-muted: var(--gray-200);
  /* Shadows */
  --shadow-soft: 0 2px 8px -2px hsl(210 10% 30% / 0.08);
  --shadow-md: 0 4px 6px -1px rgb(0 0 0 / .1), 0 2px 4px -2px rgb(0 0 0 / .1);
  --shadow-lg: 0 10px 15px -3px rgb(0 0 0 / .1), 0 4px 6px -4px rgb(0 0 0 / .1);
  /* Border */
  --border-width: 1px;
  --border-style: solid;
  --border-color: var(--gray-400);
  --border: var(--border-width) var(--border-style) var(--border-color);
  --border-red: var(--border-width) var(--border-style) var(--red-500);
  --border-orange: var(--border-width) var(--border-style) var(--orange-300);
  --border-radius: 0.75rem;
  --border-radius-circle: 50%;
  --border-rounded-full: 9999px;
  /* Textos */
  --text-primary: var(--gray-900);
  --text-secondary: var(--gray-500);
  /* Badges */
  --badge-success-bg: var(--green-50);
  --badge-success-text: var(--green-600);
  --badge-success-border: var(--green-300);
  --badge-neutral-bg: var(--gray-250);
  --badge-neutral-text: var(--gray-500);
  --badge-neutral-border: var(--gray-450);
  --badge-warning-bg: var(--orange-50);
  --badge-warning-text: var(--orange-800);
  --badge-warning-border: var(--orange-300);
  /* ================================================== */
  --text-tertiary: var(--gray-500);
  --text-quaternary: var(--gray-500);
  --text-disabled: var(--gray-500);
  --text-placeholder: var(--gray-500);
  --text-brand: var(--brand-900);
  --text-brand-secondary: var(--green-500);
  --text-error: var(--error-600);
  --text-success: var(--success-600);
  --border-color-secondary: var(--gray-400);
  --border-color-brand: var(--green-500);
  --border-color-error: var(--error-500);
  --border-secondary: var(--border-width) var(--border-style) var(--border-color-secondary);
  --border-radius-sm: 0.25rem;
  --border-radius-md: 0.375rem;
  --border-radius-xl: 0.625rem;
  --border-radius-xxl: 0.75rem;
  --bg-primary: var(--white);
  --bg-secondary: var(--gray-50);
  --bg-tertiary: var(--gray-200);
  --bg-quaternary: var(--gray-200);
  --bg-disabled: var(--gray-200);
  --bg-brand: var(--green-500);
  --bg-brand-solid: var(--green-500);
  --bg-brand-solid_hover: var(--brand-700);
  --bg-error-solid: var(--error-600);
  --bg-error-solid_hover: var(--error-700);
  --badge-text-success: #067647;
  --badge-bg-success: #ECFDF3;
  --badge-border-color-success: #ABEFC6;
  --badge-text-success-solid: #FFFFFF;
  --badge-bg-success-solid: #12B76A;
  --badge-border-color-success-solid: #12B76A;
  --badge-text-info: #175CD3;
  --badge-bg-info: #EFF8FF;
  --badge-border-color-info: #B2DDFF;
  --badge-text-info-solid: #FFFFFF;
  --badge-bg-info-solid: #2E90FA;
  --badge-border-color-info-solid: #2E90FA;
  --badge-text-warning: #B54708;
  --badge-bg-warning: #FFFAEB;
  --badge-border-color-warning: #FEDF89;
  --badge-text-warning-solid: #FFFFFF;
  --badge-bg-warning-solid: #F79009;
  --badge-border-color-warning-solid: #F79009;
  --badge-text-danger: #B42318;
  --badge-bg-danger: #FEF3F2;
  --badge-border-color-danger: #FECDCA;
  --badge-text-danger-solid: #FFFFFF;
  --badge-bg-danger-solid: #F04438;
  --badge-border-color-danger-solid: #F04438;
  --font-family: "Inter", sans-serif;
  font-size: 16px;
  --select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
  --readonly-bg-img: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzMiIgaGVpZ2h0PSIzMiIgZmlsbD0iIzcxNzY4MCIgdmlld0JveD0iMCAwIDI1NiAyNTYiPjxwYXRoIGQ9Ik0yMDgsODBIMTc2VjU2YTQ4LDQ4LDAsMCwwLTk2LDBWODBINDhBMTYsMTYsMCwwLDAsMzIsOTZWMjA4YTE2LDE2LDAsMCwwLDE2LDE2SDIwOGExNiwxNiwwLDAsMCwxNi0xNlY5NkExNiwxNiwwLDAsMCwyMDgsODBaTTk2LDU2YTMyLDMyLDAsMCwxLDY0LDBWODBIOTZaTTIwOCwyMDhINDhWOTZIMjA4VjIwOFoiPjwvcGF0aD48L3N2Zz4=");
}

[data-theme=dark] {
  --gray-25: #fafafa;
  --gray-100: #f0f0f1;
  --gray-200: #ececed;
  --gray-300: #cecfd2;
  --gray-hover: rgba(255, 255, 255, 0.05);
  /* ================================================== */
  /* COLORS - LOVABLE */
  /* Neutros */
  --gray-900: #191F24;
  --gray-800: #23292F;
  --gray-750: #2A2E32;
  --gray-725: #2E3338;
  --gray-700-rgb: 39, 46, 53;
  --gray-700: #272E35;
  --gray-600: #303841;
  --gray-500: #2B333B;
  --gray-450: #525960;
  --gray-420: #969EA6;
  --gray-400: #A6A6A6;
  /* Coloridos */
  --green-700: #1B3730;
  --green-450: #3A8876;
  --green-400: #0FBD94;
  --green-300: #6ECFB8;
  --green-200: #85D6C6;
  --orange-950-rgb: 69, 26, 3;
  --orange-900: #392D18;
  --orange-700: #A17936;
  --orange-500: #F99E1F;
  --orange-300: #E0BF85;
  --red-900: #351D1D;
  --red-300: #D98C8C;
  /* Backgrounds */
  --bg-card: var(--gray-800);
  --bg-muted: var(--gray-700);
  /* Textos */
  --text-primary: var(--gray-50);
  --text-secondary: var(--gray-400);
  /* Badges */
  --badge-success-bg: var(--green-700);
  --badge-success-text: var(--green-200);
  --badge-success-border: var(--green-450);
  --badge-neutral-bg: var(--gray-725);
  --badge-neutral-text: var(--gray-420);
  --badge-neutral-border: var(--gray-450);
  --badge-warning-bg: var(--orange-900);
  --badge-warning-text: var(--orange-300);
  --badge-warning-border: var(--orange-700);
  /* ================================================== */
  --text-primary: var(--gray-50);
  --text-tertiary: var(--gray-400);
  --text-quaternary: var(--gray-400);
  --text-placeholder: var(--gray-400);
  --text-brand: var(--gray-50);
  --text-brand-secondary: var(--gray-300);
  --text-error: var(--error-400);
  --text-success: var(--green-500);
  --border-color: var(--gray-750);
  --border-color-secondary: var(--gray-750);
  --border-color-brand: var(--green-500);
  --border-color-error: var(--error-400);
  --bg-primary: var(--gray-900);
  --bg-secondary: var(--gray-800);
  --bg-tertiary: var(--gray-700);
  --bg-quaternary: var(--gray-700);
  --bg-disabled: var(--gray-700);
  --bg-brand: var(--brand-600);
  --bg-brand-solid_hover: var(--brand-500);
  --bg-error-solid_hover: var(--error-500);
  --badge-text-success: #6CE9A6;
  --badge-bg-success: #053321;
  --badge-border-color-success: #067647;
  --badge-text-success-solid: #FFFFFF;
  --badge-bg-success-solid: #039855;
  --badge-border-color-success-solid: #039855;
  --badge-text-info: #84CAFF;
  --badge-bg-info: #0B4A6F;
  --badge-border-color-info: #175CD3;
  --badge-text-info-solid: #FFFFFF;
  --badge-bg-info-solid: #1570EF;
  --badge-border-color-info-solid: #1570EF;
  --badge-text-warning: #FEC84B;
  --badge-bg-warning: #4E1D09;
  --badge-border-color-warning: #B54708;
  --badge-text-warning-solid: #FFFFFF;
  --badge-bg-warning-solid: #DC6803;
  --badge-border-color-warning-solid: #DC6803;
  --badge-text-danger: #FDA29B;
  --badge-bg-danger: #55160C;
  --badge-border-color-danger: #B42318;
  --badge-text-danger-solid: #FFFFFF;
  --badge-bg-danger-solid: #D92D20;
  --badge-border-color-danger-solid: #D92D20;
  --select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23dee2e6' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
  --readonly-bg-img: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzMiIgaGVpZ2h0PSIzMiIgZmlsbD0iI2E0YTdhZSIgdmlld0JveD0iMCAwIDI1NiAyNTYiPjxwYXRoIGQ9Ik0yMDgsODBIMTc2VjU2YTQ4LDQ4LDAsMCwwLTk2LDBWODBINDhBMTYsMTYsMCwwLDAsMzIsOTZWMjA4YTE2LDE2LDAsMCwwLDE2LDE2SDIwOGExNiwxNiwwLDAsMCwxNi0xNlY5NkExNiwxNiwwLDAsMCwyMDgsODBaTTk2LDU2YTMyLDMyLDAsMCwxLDY0LDBWODBIOTZaTTIwOCwyMDhINDhWOTZIMjA4VjIwOFoiPjwvcGF0aD48L3N2Zz4=");
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: var(--font-family);
  color: var(--text-primary);
  background-color: var(--gray-50);
}
body:has(#loader), body:has(.modal[open]) {
  overflow: hidden;
}
body:has(aside#sidebar) #loader {
  left: calc(var(--sidebar-width) + 1px);
  width: calc(100% - var(--sidebar-width) - 1px);
}
body:has(aside#sidebar[open]) #loader {
  left: calc(var(--sidebar-width__open) + 1px);
  width: calc(100% - var(--sidebar-width__open) - 1px);
}

[data-theme=dark] body {
  background-color: var(--gray-900);
}

a {
  color: unset;
  text-decoration: none;
}

/* ================================================== */
/* BOTOES */
button {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  cursor: pointer;
  height: 2.5rem;
  padding: 0.5rem 1rem;
  border: var(--border-width) var(--border-style) transparent;
  border-radius: calc(var(--border-radius) - 2px);
  background-color: transparent;
  color: var(--text-primary);
  font-size: 0.875rem;
  font-weight: 500;
  font-family: var(--font-family);
}
button i {
  font-size: 1rem;
}
button:hover {
  background-color: var(--color-brand);
  color: var(--white);
}
button:hover .ph-trash-simple {
  color: var(--text-error);
}
button.btn-icon-text {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
button.btn-icon-text .lucide {
  width: 16px;
  height: 16px;
}
button.btn-icon {
  width: 2.5rem;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
button.btn-icon.btn-icon-sm {
  width: 1.25rem;
  height: 1.25rem;
  border-radius: 0.25rem;
}
button.btn-icon.btn-icon-sm i {
  font-size: 0.875rem;
}
button.btn-primary {
  background-color: var(--color-brand);
  color: var(--white);
}
button.btn-primary:hover {
  background-color: var(--gray-50);
  color: var(--color-brand);
  border-color: var(--color-brand);
}
button.btn-solid {
  background-color: var(--gray-50);
  border-color: var(--border-color);
}
button.btn-solid:hover {
  background-color: var(--color-brand);
  color: var(--white);
}
button.btn-danger {
  background-color: var(--red-500);
  color: var(--white);
}
button.btn-danger:hover {
  background-color: var(--gray-50);
  color: var(--red-500);
  border-color: var(--red-500);
}
button:disabled {
  opacity: 0.5;
  pointer-events: none;
  cursor: default;
}
button:disabled.loading {
  display: flex;
  gap: 0.375rem;
  align-items: center;
}
button:disabled.loading .ph-spinner {
  animation: spinner 3s infinite linear;
}

[data-theme=dark] button.btn-solid {
  background-color: var(--gray-900);
  border-color: var(--gray-750);
}
[data-theme=dark] button.btn-solid:hover {
  background-color: var(--color-brand);
}

/* ================================================== */
/* COMPONENTES DE FORMULARIO */
label {
  display: inline-block;
  margin-bottom: 0.5rem;
  font-size: 0.875rem;
  font-weight: 500;
}
label:has(+ *:required)::after, label:has(+ * *:required)::after {
  content: " *";
  color: var(--text-error);
}
label .required {
  color: var(--text-error);
}
label.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 22px;
}
label.switch input[type=checkbox] {
  opacity: 0;
  width: 0;
  height: 0;
}
label.switch input[type=checkbox]:checked + .slider {
  background-color: var(--bg-brand-solid);
}
label.switch input[type=checkbox]:checked + .slider::before {
  background-color: #fff;
  transform: translateX(18px);
}
label.switch .slider {
  cursor: pointer;
  position: absolute;
  inset: 0;
  border-radius: 20px;
  background-color: var(--bg-quaternary);
  transition: 0.3s;
}
label.switch .slider::before {
  content: "";
  position: absolute;
  left: 3px;
  bottom: 3px;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  transition: 0.3s;
  background-color: var(--bg-primary);
}

input,
select,
textarea {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  width: 100%;
  padding: 0 0.75rem;
  border: var(--border);
  border-radius: calc(var(--border-radius) - 2px);
  background-color: var(--gray-50);
  color: var(--text-primary);
  font-size: 0.875rem;
  font-family: var(--font-family);
  text-overflow: ellipsis;
}
input:focus,
select:focus,
textarea:focus {
  outline: 2px solid var(--border-color-brand);
  outline-offset: 2px;
}
input:disabled,
select:disabled,
textarea:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}
input::placeholder,
select::placeholder,
textarea::placeholder {
  color: var(--text-placeholder);
}
input.invalid,
select.invalid,
textarea.invalid {
  border-color: var(--border-color-error);
  outline-color: var(--border-color-error);
}
input:focus,
select:focus,
textarea:focus {
  border-color: var(--border-color-secondary);
}

input[type=checkbox], input[type=radio] {
  --form-check-bg-image: ;
  min-width: 1em;
  max-width: 1em;
  height: 1em;
  padding: 0;
  background-image: var(--form-check-bg-image);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
input[type=checkbox]:checked, input[type=radio]:checked {
  border: none;
  background-color: var(--bg-brand-solid);
}
input[type=checkbox]:disabled, input[type=radio]:disabled {
  background-color: var(--bg-disabled);
}
input[type=checkbox] {
  border-radius: var(--border-radius-sm);
}
input[type=checkbox]:checked {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");
}
input[type=radio] {
  border-radius: 50%;
}
input[type=radio]:checked {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23fff'/%3e%3c/svg%3e");
}
input[type=file] {
  padding-left: 0;
  overflow: hidden;
}
input[type=file]::file-selector-button {
  height: 100%;
  margin-right: 0.5rem;
  border: none;
  color: var(--text-tertiary);
  background-color: var(--bg-tertiary);
}
input[readonly] {
  background-image: var(--readonly-bg-img);
  background-repeat: no-repeat;
  background-position: right 0.5rem center;
  background-size: 16px;
  padding-right: 2rem;
}

input,
select {
  height: 2.5rem;
}

select {
  background-image: var(--select-bg-img);
  background-repeat: no-repeat;
  background-position: right 0.75rem center;
  background-size: 11px;
  padding-right: 1.5rem;
  color-scheme: dark;
}
select option {
  color: var(--text-primary);
  background-color: var(--gray-100);
}

textarea {
  padding: 0.5rem;
  min-height: 5rem;
}

[data-theme=dark] input,
[data-theme=dark] select,
[data-theme=dark] textarea {
  background-color: var(--bg-primary);
}
[data-theme=dark] input[type=date]::-webkit-calendar-picker-indicator {
  filter: invert(1);
}
[data-theme=dark] select option {
  background-color: var(--bg-primary);
}

.form-check {
  display: flex;
  gap: 0.5rem;
  align-items: center;
}
.form-check label {
  margin: 0;
  color: var(--text-secondary);
  font-weight: 400;
  text-wrap: nowrap;
}
.form-check:has(*:disabled) label {
  color: var(--text-disabled);
}

/* Checkbox e radio novo */
.form-check {
  position: relative;
}
.form-check.new input[type=checkbox] {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}
.form-check.new label {
  display: inline-flex;
  align-items: center;
  gap: 0.75rem;
  cursor: pointer;
  user-select: none;
}
.form-check input:checked + label .checkmark.checkbox {
  background: var(--green-500);
  border-color: var(--green-500);
}
.form-check input:checked + label .checkmark.checkbox i,
.form-check input:checked + label .checkmark.checkbox svg {
  opacity: 1;
}
.form-check input:checked + label .checkmark.radio::after {
  opacity: 1;
}
.form-check .checkmark {
  width: 16px;
  height: 16px;
  border: 1px solid var(--green-500);
  border-radius: var(--border-radius-circle);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  transition: 0.2s ease;
}
.form-check .checkmark.checkbox i,
.form-check .checkmark.checkbox svg {
  width: 12px;
  height: 12px;
  color: var(--white);
  opacity: 0;
  transition: 0.2s ease;
}
.form-check .checkmark.radio {
  position: relative;
}
.form-check .checkmark.radio::after {
  content: "";
  width: 10px;
  height: 10px;
  border-radius: var(--border-radius-circle);
  background: var(--green-500);
  opacity: 0;
  transition: opacity 0.2s ease;
}

.input-group {
  overflow: hidden;
  display: flex;
  border: var(--border-secondary);
  border-radius: var(--border-radius);
  background-color: var(--bg-secondary);
}
.input-group .input-group-text {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 2rem;
  color: var(--text-placeholder);
}
.input-group input {
  border: none;
  border-radius: 0;
}
.input-group input:focus {
  outline: none;
}
.input-group input:first-child {
  padding-right: 0;
}
.input-group input:last-child {
  padding-left: 0;
}
.input-group:has(*:focus) {
  outline: 2px solid var(--border-color-brand);
  outline-offset: 2px;
}
.input-group:has(*:disabled) .input-group-text {
  background-color: var(--bg-disabled);
}
.input-group:has(*.invalid) {
  border-color: var(--border-color-error);
}
.input-group:has(*.invalid:focus) {
  border-color: var(--border-color-secondary);
  outline-color: var(--border-color-error);
}

.helper-text {
  font-size: 0.75rem;
  color: var(--text-tertiary);
  margin-top: 0.5rem;
}

[data-theme=dark] .input-group {
  background-color: var(--bg-primary);
}

h1.title {
  font-size: 1.9rem;
  font-weight: 700;
}

h2.subtitle {
  color: var(--text-secondary);
  font-size: 1rem;
  font-weight: 400;
}

hr {
  margin: 1rem 0;
  border: 0;
  border-top: var(--border);
  color: inherit;
}

/* ================================================== */
/* TABELAS */
.table-box {
  background-color: var(--bg-card);
  box-shadow: var(--shadow-soft);
  border: var(--border);
  border-radius: calc(var(--border-radius) - 2px);
  width: 100%;
}
.table-box table {
  border-collapse: collapse;
  width: 100%;
  font-size: 0.875rem;
}
.table-box table thead {
  background-color: rgba(var(--gray-200-rgb), 0.5);
}
.table-box table thead th {
  height: 3rem;
  padding: 0 1rem;
  font-weight: 500;
  text-align: left;
  color: var(--text-tertiary);
}
.table-box table thead th.right {
  text-align: right;
}
.table-box table thead th.center {
  text-align: center;
}
.table-box table tbody tr {
  border-top: var(--border);
}
.table-box table tbody tr:hover {
  background-color: rgba(var(--gray-200-rgb), 0.5);
}
.table-box table tbody tr.warning {
  background-color: rgba(var(--orange-25-rgb), 0.4);
}
.table-box table tbody td {
  padding: 1rem;
}
.table-box table tbody td:has(.form-check) {
  padding-right: 0;
}
.table-box table tbody td input {
  height: 2.25rem;
}
.table-box table tbody td.td-status .badge {
  margin: 0 auto;
}
.table-box table th,
.table-box table td {
  text-wrap: balance;
}
.table-box table th .flex-cell,
.table-box table td .flex-cell {
  display: flex;
  gap: 0.5rem;
  align-items: center;
}

table {
  border-collapse: collapse;
  width: 100%;
  font-size: 14px;
}
table tbody tr {
  border-top: var(--border);
}
table tbody tr:hover {
  background-color: var(--gray-hover);
}
table th,
table td {
  padding: 0.5rem;
  text-wrap: balance;
}
table th .flex-cell,
table td .flex-cell {
  display: flex;
  gap: 0.5rem;
  align-items: center;
}
table th.actions,
table td.actions {
  width: 0;
}
table th.actions .flex-cell,
table td.actions .flex-cell {
  gap: 0.25rem;
  justify-content: center;
}
table th.actions a,
table th.actions button,
table td.actions a,
table td.actions button {
  all: unset;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.75rem;
  height: 1.75rem;
  border-radius: var(--border-radius-md);
}
table th.actions a:hover,
table th.actions button:hover,
table td.actions a:hover,
table td.actions button:hover {
  background-color: var(--gray-hover);
}
table th input[readonly],
table td input[readonly] {
  background-image: none;
  background-color: transparent;
}
table th .input-group,
table td .input-group {
  border: none;
  border-radius: 0;
}
table th .input-group:has(*:focus),
table td .input-group:has(*:focus) {
  outline: none;
}
table th .input-group:has(*[readonly]),
table td .input-group:has(*[readonly]) {
  background-image: none;
  background-color: transparent;
}
table th {
  font-weight: 500;
  text-align: left;
  color: var(--text-tertiary);
}

[data-theme=dark] .table-box table thead {
  background-color: rgba(var(--gray-700-rgb), 0.5);
}
[data-theme=dark] .table-box table tbody tr:hover {
  background-color: rgba(var(--gray-700-rgb), 0.8);
}
[data-theme=dark] .table-box table tbody tr.warning {
  background-color: rgba(var(--orange-950-rgb), 0.1);
}

/* ================================================== */
/* BADGES */
.badge,
.table-badge {
  display: flex;
  align-items: center;
  width: fit-content;
  padding: 0.125rem 0.625rem;
  border: var(--border);
  border-radius: var(--border-rounded-full);
  font-size: 0.75rem;
  font-weight: 600;
  text-wrap: nowrap;
  line-height: 1rem;
}
.badge .badge-content,
.table-badge .badge-content {
  display: flex;
  flex-direction: column;
}
.badge h1.title,
.table-badge h1.title {
  font-size: 1rem;
}
.badge i,
.table-badge i {
  font-size: 1rem;
}
.badge.badge-icon,
.table-badge.badge-icon {
  gap: 0.375rem;
}
.badge.badge-icon .lucide,
.table-badge.badge-icon .lucide {
  width: 12px;
  height: 12px;
}
.badge.badge-success, .badge.table-badge-success,
.table-badge.badge-success,
.table-badge.table-badge-success {
  background-color: var(--badge-success-bg);
  color: var(--badge-success-text);
  border-color: var(--badge-success-border);
}
.badge.badge-neutral, .badge.table-badge-neutral,
.table-badge.badge-neutral,
.table-badge.table-badge-neutral {
  background-color: var(--badge-neutral-bg);
  color: var(--badge-neutral-text);
  border-color: var(--badge-neutral-border);
}
.badge.badge-warning, .badge.table-badge-warning,
.table-badge.badge-warning,
.table-badge.table-badge-warning {
  background-color: var(--badge-warning-bg);
  color: var(--badge-warning-text);
  border-color: var(--badge-warning-border);
}
.badge.badge-info, .badge.table-badge-info,
.table-badge.badge-info,
.table-badge.table-badge-info {
  color: var(--badge-text-info);
  border-color: var(--badge-border-color-info);
  background-color: var(--badge-bg-info);
}
.badge.badge-danger, .badge.table-badge-danger,
.table-badge.badge-danger,
.table-badge.table-badge-danger {
  color: var(--badge-text-danger);
  border-color: var(--badge-border-color-danger);
  background-color: var(--badge-bg-danger);
}
.badge.badge-solid.badge-success, .badge.badge-solid.table-badge-success,
.table-badge.badge-solid.badge-success,
.table-badge.badge-solid.table-badge-success {
  color: var(--badge-text-success-solid);
  border-color: var(--badge-border-color-success-solid);
  background-color: var(--badge-bg-success-solid);
}
.badge.badge-solid.badge-info, .badge.badge-solid.table-badge-info,
.table-badge.badge-solid.badge-info,
.table-badge.badge-solid.table-badge-info {
  color: var(--badge-text-info-solid);
  border-color: var(--badge-border-color-info-solid);
  background-color: var(--badge-bg-info-solid);
}
.badge.badge-solid.badge-warning, .badge.badge-solid.table-badge-warning,
.table-badge.badge-solid.badge-warning,
.table-badge.badge-solid.table-badge-warning {
  color: var(--badge-text-warning-solid);
  border-color: var(--badge-border-color-warning-solid);
  background-color: var(--badge-bg-warning-solid);
}
.badge.badge-solid.badge-danger, .badge.badge-solid.table-badge-danger,
.table-badge.badge-solid.badge-danger,
.table-badge.badge-solid.table-badge-danger {
  color: var(--badge-text-danger-solid);
  border-color: var(--badge-border-color-danger-solid);
  background-color: var(--badge-bg-danger-solid);
}

.bg-primary {
  background-color: var(--bg-primary) !important;
}

.bg-secondary {
  background-color: var(--bg-secondary) !important;
}

.text-primary {
  color: var(--text-primary) !important;
}

.text-secondary {
  color: var(--text-secondary) !important;
}

.text-tertiary {
  color: var(--text-tertiary) !important;
}

.text-success {
  color: var(--text-success);
}

.text-error {
  color: var(--text-error);
}

.text-brand {
  color: var(--green-500);
}

.fs-3 {
  font-size: 0.875rem !important;
}

.fs-4 {
  font-size: 0.75rem !important;
}

.fw-400,
.fw-normal {
  font-weight: 400;
}

.fw-500 {
  font-weight: 500;
}

.fw-600,
.fw-bold {
  font-weight: 600;
}

.w-50 {
  width: 50%;
}

.w-100 {
  width: 100%;
}

.card {
  padding: 1.5rem;
  border: var(--border);
  border-radius: var(--border-radius);
  background-color: var(--bg-card);
  box-shadow: var(--shadow-soft);
}
.card .card-inativo {
  opacity: 0.6;
}

/* ================================================== */
/* MODAL */
.modal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1200;
  display: none;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100dvh;
  background-color: rgba(0, 0, 0, 0.8);
}
.modal .modal-dialog {
  position: relative;
}
.modal .modal-dialog .modal-content {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 25vw;
  max-height: calc(100dvh - 2rem);
  border: var(--border);
  border-radius: var(--border-radius-xxl);
  background-color: var(--gray-50);
}
.modal .modal-dialog .modal-content.w-sm {
  width: 30vw;
}
.modal .modal-dialog .modal-content.w-md {
  width: 45vw;
}
.modal .modal-dialog .modal-content.w-lg {
  width: 32rem;
}
.modal .modal-dialog .modal-content.w-2xl {
  width: 42rem;
}
.modal .modal-dialog .modal-content.w-xl {
  width: 70vw;
}
.modal .modal-dialog .modal-content.w-xxl {
  width: 85vw;
}
.modal .modal-dialog .modal-content .modal-header {
  display: flex;
  gap: 1.5rem;
  justify-content: space-between;
  padding: 1.5rem;
}
.modal .modal-dialog .modal-content .modal-header h1.title {
  font-size: 1rem;
}
.modal .modal-dialog .modal-content .modal-header h2.subtitle {
  font-size: 0.875rem;
  margin-top: 6px;
}
.modal .modal-dialog .modal-content .modal-header .btn-close {
  --btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23181d27'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414'/%3e%3c/svg%3e");
  width: 1rem;
  height: 1rem;
  opacity: 0.5;
  background: transparent var(--btn-close-bg) center/12px auto no-repeat;
  border: none;
  padding: 0;
}
.modal .modal-dialog .modal-content .modal-header .btn-close:hover {
  opacity: 1;
}
.modal .modal-dialog .modal-content .modal-header .btn-close:disabled {
  opacity: 0.25;
}
.modal .modal-dialog .modal-content .modal-body {
  overflow: auto;
  padding: 0 1.5rem;
}
.modal .modal-dialog .modal-content .modal-body form {
  padding: 4px 0;
}
.modal .modal-dialog .modal-content .modal-body .modal-message {
  text-align: center;
  text-wrap: balance;
}
.modal .modal-dialog .modal-content .modal-footer {
  display: flex;
  justify-content: end;
  padding: 1.5rem;
}
.modal .modal-dialog .modal-content:not(:has(.modal-footer)) .modal-body {
  padding-bottom: 1.5rem;
}
.modal .card .card-content .card-badges {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  margin-top: 5px;
}
.modal .card .card-content .card-badges .badge {
  text-transform: capitalize;
}
.modal[open]:nth-last-child(1 of .modal[open]) {
  display: flex;
}

[data-theme=dark] .modal .modal-dialog .modal-content {
  background-color: var(--bg-primary);
}
[data-theme=dark] .modal .modal-dialog .modal-content .modal-header .btn-close {
  --btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23FFF'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414'/%3e%3c/svg%3e") !important;
}
[data-theme=dark] .modal .modal-dialog .modal-content .modal-body::-webkit-scrollbar-track {
  background: var(--bg-secondary);
}
[data-theme=dark] .modal .modal-dialog .modal-content .modal-body::-webkit-scrollbar-thumb {
  border: 3px solid var(--bg-secondary);
}

.nav .nav-bar {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.25rem;
  width: fit-content;
  max-width: 100%;
  padding: 0.25rem;
  border-radius: 0.625rem;
  background-color: var(--bg-quaternary);
}
.nav .nav-bar .nav-item {
  display: flex;
  gap: 0.5rem;
  align-items: center;
  justify-content: center;
  height: auto;
  padding: 0.5rem 0.75rem;
  color: var(--text-tertiary);
  text-wrap: nowrap;
}
.nav .nav-bar .nav-item.active {
  color: var(--text-primary);
  background-color: var(--bg-primary);
}
.nav .nav-bar .nav-item:hover {
  background-color: var(--color-brand);
  color: var(--white);
}
.nav .nav-bar .nav-item:disabled {
  color: var(--text-disabled);
  background-color: var(--bg-disabled);
}
.nav .tab-content {
  margin-top: 1rem;
}
.nav .tab-content .tab-pane {
  display: none;
}
.nav .tab-content .tab-pane.show {
  display: block;
}

::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar-track {
  background: var(--bg-primary);
}

::-webkit-scrollbar-thumb {
  border: 3px solid var(--bg-primary);
  border-radius: 6px;
  background-color: var(--bg-brand-solid);
}
::-webkit-scrollbar-thumb:hover {
  background-color: var(--bg-brand-solid_hover);
}

::-webkit-scrollbar-corner {
  background: var(--bg-primary);
}

/* ================================================== */
/* SKELETONS */
*.skeleton-loading {
  position: relative;
}
*.skeleton-loading::after {
  pointer-events: none;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bg-secondary);
  background-image: linear-gradient(to right, var(--bg-secondary) 0%, var(--bg-tertiary) 50%, var(--bg-secondary) 100%);
  background-size: 4rem 100%;
  background-repeat: no-repeat;
  animation: shimmer 1s ease infinite;
}

.table-skeleton {
  height: 3rem;
  width: 100%;
  background: var(--bg-muted);
  border-radius: calc(var(--border-radius) - 2px);
  position: relative;
  overflow: hidden;
}

[data-theme=dark] *.skeleton-loading::after {
  background-color: var(--bg-primary);
  background-image: linear-gradient(to right, var(--bg-primary) 0%, var(--bg-secondary) 50%, var(--bg-primary) 100%);
}
@keyframes shimmer {
  to {
    background-position: right -4rem top 0;
  }
}
.accordion .accordion-body {
  display: none;
}
.accordion[open] .accordion-body {
  display: block;
}

.dropdown {
  position: relative;
}
.dropdown .dropdown-header {
  all: unset;
  width: 100%;
}
.dropdown .dropdown-menu {
  position: absolute;
  display: none;
  border: var(--border);
  border-radius: calc(var(--border-radius) - 2px);
  box-shadow: var(--shadow-md);
  background-color: var(--bg-primary);
}
.dropdown[open] .dropdown-menu {
  display: block;
}
.dropdown.dropdown-actions .lucide {
  width: 16px;
  height: 16px;
}
.dropdown.dropdown-actions .dropdown-header {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 2rem;
  width: 2rem;
  border-radius: calc(var(--border-radius) - 2px);
  color: var(--gray-900);
}
.dropdown.dropdown-actions .dropdown-header:hover {
  background-color: var(--green-500);
  color: var(--white);
}
.dropdown.dropdown-actions .dropdown-menu {
  right: 0;
  min-width: max-content;
  z-index: 50;
}
.dropdown.dropdown-actions .dropdown-menu .dropdown-content {
  min-width: 125px;
  padding: 0.25rem;
}
.dropdown.dropdown-actions .dropdown-menu .dropdown-content .dropdown-item {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 0.875rem;
  padding: 0.5rem;
  border-radius: calc(var(--border-radius) - 4px);
  cursor: pointer;
}
.dropdown.dropdown-actions .dropdown-menu .dropdown-content .dropdown-item:hover {
  background-color: var(--green-500);
  color: var(--white);
}
.dropdown.dropdown-actions .dropdown-menu .dropdown-content .dropdown-item.loading {
  opacity: 0.5;
  pointer-events: none;
}
.dropdown.dropdown-actions .dropdown-menu .dropdown-content .item-danger {
  color: var(--red-500);
}

[data-theme=dark] .dropdown .dropdown-menu {
  background-color: var(--bg-secondary);
}
[data-theme=dark] .dropdown.dropdown-actions .dropdown-header {
  color: var(--gray-50);
}

.hidden {
  display: none !important;
}